org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_VBOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_VBOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_VBOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_VBOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_VBOXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindAlignitems(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindDirection(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindDisplayinline(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindFitcontainer(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindJustifycontent(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindRendertype(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_VBOXNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_VBOXNode` | `setAlignitems(java.lang.String value)`
    `UI5M_VBOXNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_VBOXNode` | `setComment(java.lang.String value)`
    `UI5M_VBOXNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_VBOXNode` | `setDirection(java.lang.String value)`
    `UI5M_VBOXNode` | `setDisplayinline(boolean value)`
    `UI5M_VBOXNode` | `setDisplayinline(java.lang.String value)`
    `UI5M_VBOXNode` | `setFitcontainer(boolean value)`
    `UI5M_VBOXNode` | `setFitcontainer(java.lang.String value)`
    `UI5M_VBOXNode` | `setHeight(int value)`
    `UI5M_VBOXNode` | `setHeight(java.lang.String value)`
    `UI5M_VBOXNode` | `setId(java.lang.String value)`
    `UI5M_VBOXNode` | `setJustifycontent(java.lang.String value)`
    `UI5M_VBOXNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_VBOXNode` | `setReference(java.lang.String value)`
    `UI5M_VBOXNode` | `setRendered(boolean value)`
    `UI5M_VBOXNode` | `setRendered(java.lang.String value)`
    `UI5M_VBOXNode` | `setRendertype(java.lang.String value)`
    `UI5M_VBOXNode` | `setStyleseq(java.lang.String value)`
    `UI5M_VBOXNode` | `setStylevariant(java.lang.String value)`
    `UI5M_VBOXNode` | `setWidth(int value)`
    `UI5M_VBOXNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_VBOXNode

          public UI5M_VBOXNode()

  - ### Method Detail

    - #### setId

          public UI5M_VBOXNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_VBOXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_VBOXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlignitems

          public UI5M_VBOXNode setAlignitems(java.lang.String value)

    - #### bindAlignitems

          public UI5M_VBOXNode bindAlignitems(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_VBOXNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_VBOXNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_VBOXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_VBOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_VBOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDirection

          public UI5M_VBOXNode setDirection(java.lang.String value)

    - #### bindDirection

          public UI5M_VBOXNode bindDirection(IDynamicContentBindingObject value)

    - #### setDisplayinline

          public UI5M_VBOXNode setDisplayinline(java.lang.String value)

    - #### bindDisplayinline

          public UI5M_VBOXNode bindDisplayinline(IDynamicContentBindingObject value)

    - #### setDisplayinline

          public UI5M_VBOXNode setDisplayinline(boolean value)

    - #### setFitcontainer

          public UI5M_VBOXNode setFitcontainer(java.lang.String value)

    - #### bindFitcontainer

          public UI5M_VBOXNode bindFitcontainer(IDynamicContentBindingObject value)

    - #### setFitcontainer

          public UI5M_VBOXNode setFitcontainer(boolean value)

    - #### setHeight

          public UI5M_VBOXNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_VBOXNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_VBOXNode setHeight(int value)

    - #### setJustifycontent

          public UI5M_VBOXNode setJustifycontent(java.lang.String value)

    - #### bindJustifycontent

          public UI5M_VBOXNode bindJustifycontent(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_VBOXNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_VBOXNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_VBOXNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_VBOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_VBOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_VBOXNode setRendered(boolean value)

    - #### setRendertype

          public UI5M_VBOXNode setRendertype(java.lang.String value)

    - #### bindRendertype

          public UI5M_VBOXNode bindRendertype(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_VBOXNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_VBOXNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_VBOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_VBOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_VBOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_VBOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_VBOXNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.